<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetLocalRevisionName Method (IEdmFile5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFile5 Interface : GetLocalRevisionName Method (IEdmFile5)

Visual Basic
C#
C++/CLI

poPathOrFolderID
  ID of the folder, full file path or the folder path of the local copy of this file (see Remarks)

Gets the revision name of the local copy of this file.

# Syntax

Visual Basic |
--- | ---

    Function GetLocalRevisionName( _
       ByRef poPathOrFolderID As System.Object _
    ) As System.String

C# |
--- | ---

    System.string GetLocalRevisionName(
       ref System.object poPathOrFolderID
    )

C++/CLI |
--- | ---

    System.String^ GetLocalRevisionName(
    &   System.Object^% poPathOrFolderID
    )

#### Parameters

poPathOrFolderID
  ID of the folder, full file path or the folder path of the local copy of this file (see Remarks)

#### Return Value

Revision name; "" if the file does not exist locally, or no revisions matches the local version

# Example

Get File Information (VB.NET)
Get File Information (C#)

# Remarks

If poPathOrFolderID is a folder path, it must be terminated by a backslash ('\').

Revisions are "named versions" that can be set up using the Workflow Editor.

C++ users not using bstr_t wrapper functions must free the returned string with a call to SysFreeString.

See Return Codes for the complete list of potential success and error codes. The following are just a few examples:

- S_OK: The method successfully executed.
- S_FALSE: The file does not exist locally, or no revision matches the local version.

# See Also

####

IEdmFile5 Interface
IEdmFile5 Members
IEdmFile5::GetLocalFileDate Method ()
IEdmFile5::GetLocalFileSize Method ()
IEdmFile5::GetLocalVersionNo Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2